# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 材料公共库

### 查询材料公共库列表

**请求URL:** public/library/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询材料公共库

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
simpleName|String|否|材料简称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "simpleName":"xt8nsn",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;simpleName|String|材料简称
&emsp;&emsp;fullName|String|材料全称
&emsp;&emsp;fileUrl|String|文件地址
&emsp;&emsp;previewUrl|String|文件预览地址
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看材料公共库

**请求URL:** public/library/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看材料公共库，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/public/library/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;simpleName|String|材料简称
&emsp;fullName|String|材料全称
&emsp;fileUrl|String|文件地址
&emsp;previewUrl|String|文件预览地址
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9550,
            "siteId":4797,
            "simpleName":"ve5301",
            "fullName":"kscl10",
            "fileUrl":"shker8",
            "previewUrl":"62chd9",
            "createUserId":6978,
            "createTime":"2023-03-01",
            "updateUserId":54,
            "updateTime":"2023-03-01"
        }
}
```

### 保存更新材料公共库

**请求URL:** public/library/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新材料公共库：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
simpleName|String|是|材料简称
fullName|String|是|材料全称
fileUrl|String|否|文件地址
previewUrl|String|否|文件预览地址

**请求样例:**
```
{
    "siteId":9658,
    "simpleName":"yza09v",
    "fullName":"wz3mzx",
    "fileUrl":"7rldbj",
    "previewUrl":"gjbtud",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;simpleName|String|材料简称
&emsp;&emsp;fullName|String|材料全称
&emsp;&emsp;fileUrl|String|文件地址
&emsp;&emsp;previewUrl|String|文件预览地址
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除材料公共库

**请求URL:** public/library/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除材料公共库

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/public/library/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 审批人员

### 查询审批人员列表

**请求URL:** approver/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询审批人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
fullName|String|否|工作人员姓名,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "fullName":"dws5jk",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;fullName|String|工作人员姓名
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;loginName|String|登录用户名
&emsp;&emsp;loginPwd|String|登录密码
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;remarks|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看审批人员

**请求URL:** approver/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看审批人员，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/approver/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;fullName|String|工作人员姓名
&emsp;phoneNumber|String|联系电话
&emsp;loginName|String|登录用户名
&emsp;loginPwd|String|登录密码
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;remarks|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6999,
            "siteId":2047,
            "fullName":"1w0qln",
            "phoneNumber":"wwxmyx",
            "loginName":"ms4d34",
            "loginPwd":"rxnluc",
            "deptId":4295,
            "deptName":"vdvvsx",
            "remarks":"jf1e8z",
            "createUserId":2512,
            "createTime":"2023-03-01",
            "updateUserId":3352,
            "updateTime":"2023-03-01"
        }
}
```

### 保存更新审批人员

**请求URL:** approver/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新审批人员：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
fullName|String|是|工作人员姓名
phoneNumber|String|是|联系电话
loginName|String|否|登录用户名
loginPwd|String|否|登录密码
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
remarks|String|否|备注

**请求样例:**
```
{
    "siteId":4805,
    "fullName":"kjivry",
    "phoneNumber":"7fthfh",
    "loginName":"n57zx4",
    "loginPwd":"shn9sr",
    "deptId":9174,
    "deptName":"awinz5",
    "remarks":"moaylu",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;fullName|String|工作人员姓名
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;loginName|String|登录用户名
&emsp;&emsp;loginPwd|String|登录密码
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;remarks|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除审批人员

**请求URL:** approver/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除审批人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/approver/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 纠错管理

### 查询纠错管理列表

**请求URL:** error/recovery/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询纠错管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
errorTitle|String|否|纠错标题,字段前后添加%%模糊查询
matterSite|String|否|事件位置,字段前后添加%%模糊查询
substance|String|否|具体内容,字段前后添加%%模糊查询
formalReply|String|否|建议答复,字段前后添加%%模糊查询
status|Integer|否|处理状态，0：未处理，1：已处理

**请求样例:**
```
  {
        "errorTitle":"cii47p",
        "matterSite":"rtjip2",
        "substance":"i3gkc1",
        "formalReply":"u1daw8",
        "status":2551,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;errorTitle|String|纠错标题
&emsp;&emsp;matterSite|String|事件位置
&emsp;&emsp;substance|String|具体内容
&emsp;&emsp;annexUrl|String|附件地址
&emsp;&emsp;formalReply|String|建议答复
&emsp;&emsp;submitUserId|Long|纠错用户id
&emsp;&emsp;submitUserName|String|纠错用户名称
&emsp;&emsp;submitDate|Date|提交时间
&emsp;&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;&emsp;answerUserId|Long|处理用户id
&emsp;&emsp;answerUserName|String|处理用户名称
&emsp;&emsp;answerDate|Date|处理时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看纠错管理

**请求URL:** error/recovery/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看纠错管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/error/recovery/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;errorTitle|String|纠错标题
&emsp;matterSite|String|事件位置
&emsp;substance|String|具体内容
&emsp;annexUrl|String|附件地址
&emsp;formalReply|String|建议答复
&emsp;submitUserId|Long|纠错用户id
&emsp;submitUserName|String|纠错用户名称
&emsp;submitDate|Date|提交时间
&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;answerUserId|Long|处理用户id
&emsp;answerUserName|String|处理用户名称
&emsp;answerDate|Date|处理时间
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9318,
            "siteId":4343,
            "errorTitle":"pylmf6",
            "matterSite":"acw4al",
            "substance":"uiu7ih",
            "annexUrl":"rg3gjq",
            "formalReply":"7p7ayo",
            "submitUserId":7570,
            "submitUserName":"dhfw7k",
            "submitDate":"2023-03-01",
            "status":2746,
            "answerUserId":6143,
            "answerUserName":"cqq1yi",
            "answerDate":"2023-03-01",
            "createUserId":3636,
            "createTime":"2023-03-01",
            "updateUserId":3711,
            "updateTime":"2023-03-01"
        }
}
```

### 保存更新纠错管理

**请求URL:** error/recovery/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新纠错管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
errorTitle|String|是|纠错标题
matterSite|String|否|事件位置
substance|String|否|具体内容
annexUrl|String|否|附件地址
formalReply|String|否|建议答复
submitUserId|Long|否|纠错用户id
submitUserName|String|否|纠错用户名称
submitDate|Date|是|提交时间
status|Integer|否|处理状态，0：未处理，1：已处理
answerUserId|Long|否|处理用户id
answerUserName|String|否|处理用户名称
answerDate|Date|否|处理时间

**请求样例:**
```
{
    "siteId":8374,
    "errorTitle":"1su3ib",
    "matterSite":"dmw0z7",
    "substance":"raxxk4",
    "annexUrl":"nkcq39",
    "formalReply":"ejs96r",
    "submitUserId":4570,
    "submitUserName":"9cv9lf",
    "submitDate":"2023-03-01",
    "status":1004,
    "answerUserId":4754,
    "answerUserName":"b87e4m",
    "answerDate":"2023-03-01",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;errorTitle|String|纠错标题
&emsp;&emsp;matterSite|String|事件位置
&emsp;&emsp;substance|String|具体内容
&emsp;&emsp;annexUrl|String|附件地址
&emsp;&emsp;formalReply|String|建议答复
&emsp;&emsp;submitUserId|Long|纠错用户id
&emsp;&emsp;submitUserName|String|纠错用户名称
&emsp;&emsp;submitDate|Date|提交时间
&emsp;&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;&emsp;answerUserId|Long|处理用户id
&emsp;&emsp;answerUserName|String|处理用户名称
&emsp;&emsp;answerDate|Date|处理时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除纠错管理

**请求URL:** error/recovery/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除纠错管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/error/recovery/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 工作人员

### 查询工作人员列表

**请求URL:** workman/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询工作人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
fullName|String|否|工作人员姓名,字段前后添加%%模糊查询
sexual|Integer|否|性别1男2女
personType|Integer|否|人员类型：1窗口工作人员2事项负责人

**请求样例:**
```
  {
        "fullName":"ehsjlw",
        "sexual":4255,
        "personType":5307,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;fullName|String|工作人员姓名
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;loginName|String|登录用户名
&emsp;&emsp;loginPwd|String|登录密码
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;sexual|Integer|性别1男2女
&emsp;&emsp;email|String|邮箱
&emsp;&emsp;position|String|职位
&emsp;&emsp;personType|Integer|人员类型：1窗口工作人员2事项负责人
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看工作人员

**请求URL:** workman/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看工作人员，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/workman/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;fullName|String|工作人员姓名
&emsp;phoneNumber|String|联系电话
&emsp;loginName|String|登录用户名
&emsp;loginPwd|String|登录密码
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;sexual|Integer|性别1男2女
&emsp;email|String|邮箱
&emsp;position|String|职位
&emsp;personType|Integer|人员类型：1窗口工作人员2事项负责人
&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":543,
            "siteId":8537,
            "fullName":"d7y707",
            "phoneNumber":"mr09ce",
            "loginName":"ab9wrb",
            "loginPwd":"evxj78",
            "deptId":1519,
            "deptName":"o7tqkz",
            "sexual":5002,
            "email":"8gbld6",
            "position":"y1a0ws",
            "personType":462,
            "lastLoginTime":"2023-03-01",
            "createUserId":3350,
            "createTime":"2023-03-01",
            "updateUserId":318,
            "updateTime":"2023-03-01"
        }
}
```

### 保存更新工作人员

**请求URL:** workman/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新工作人员：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
fullName|String|是|工作人员姓名
phoneNumber|String|是|联系电话
loginName|String|否|登录用户名
loginPwd|String|否|登录密码
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
sexual|Integer|否|性别1男2女
email|String|否|邮箱
position|String|否|职位
personType|Integer|否|人员类型：1窗口工作人员2事项负责人
lastLoginTime|Date|否|最后一次登录时间

**请求样例:**
```
{
    "siteId":8359,
    "fullName":"czcyhr",
    "phoneNumber":"ampgbn",
    "loginName":"wgzjfn",
    "loginPwd":"g0bnhf",
    "deptId":4451,
    "deptName":"aoza74",
    "sexual":3169,
    "email":"wysmrx",
    "position":"7s1tmd",
    "personType":9070,
    "lastLoginTime":"2023-03-01",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;fullName|String|工作人员姓名
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;loginName|String|登录用户名
&emsp;&emsp;loginPwd|String|登录密码
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;sexual|Integer|性别1男2女
&emsp;&emsp;email|String|邮箱
&emsp;&emsp;position|String|职位
&emsp;&emsp;personType|Integer|人员类型：1窗口工作人员2事项负责人
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除工作人员

**请求URL:** workman/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除工作人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/workman/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 股室管理

### 查询股室管理列表

**请求URL:** dept/office/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询股室管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
officeName|String|否|股室名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "officeName":"oepqqy",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;officeName|String|股室名称
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看股室管理

**请求URL:** dept/office/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看股室管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/dept/office/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;officeName|String|股室名称
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1561,
            "siteId":7700,
            "deptId":5718,
            "deptName":"zbpf8o",
            "officeName":"fj8zds",
            "createUserId":629,
            "createTime":"2023-03-01",
            "updateUserId":9534,
            "updateTime":"2023-03-01"
        }
}
```

### 保存更新股室管理

**请求URL:** dept/office/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新股室管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
officeName|String|否|股室名称

**请求样例:**
```
{
    "siteId":9846,
    "deptId":2630,
    "deptName":"jkgkoi",
    "officeName":"48ejm7",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;officeName|String|股室名称
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除股室管理

**请求URL:** dept/office/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除股室管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/dept/office/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字典附录
