package com.mortals.xhx.daemon.task;

import com.alibaba.fastjson.JSON;
import com.mortals.framework.ap.GlobalSysInfo;
import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ITask;
import com.mortals.framework.service.ITaskExcuteService;
import com.mortals.framework.util.HttpUtil;
import com.mortals.xhx.base.system.user.service.UserService;
import com.mortals.xhx.common.pdu.user.UserPhpPdu;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

import static com.mortals.xhx.common.key.Constant.PARAM_SERVER_PHP_HTTP_URL;

/**
 * 同步用户
 */
@Slf4j
@Service("SyncUserTask")
public class SyncUserTaskImpl implements ITaskExcuteService {

    @Autowired
    private UserService userService;

    @Override
    public void excuteTask(ITask task) throws AppException {

        log.info("同步用户");
        String phpUrl = GlobalSysInfo.getParamValue(PARAM_SERVER_PHP_HTTP_URL, "http://172.15.28.116:8090");
        phpUrl += "/api/news/newsList";
        String resp = null;
        try {
            HashMap<String, String> paramsMap = new HashMap<>();
            resp = HttpUtil.doGet(phpUrl, paramsMap);
            Rest<List<UserPhpPdu>> list = JSON.parseObject(resp,Rest.class);
            userService.updateUserList(list.getData());
        } catch (Exception e) {
            log.error("同步用户发生异常",e);
        }

    }


    @Override
    public void stopTask(ITask task) throws AppException {

    }

}
